org.apache.commons.net.ftp.parser

## Class CompositeFileEntryParser

- java.lang.Object
- - org.apache.commons.net.ftp.FTPFileEntryParserImpl
  - - org.apache.commons.net.ftp.parser.CompositeFileEntryParser

- All Implemented Interfaces:
    FTPFileEntryParser

      public class CompositeFileEntryParser
      extends FTPFileEntryParserImpl

  This implementation allows to pack some FileEntryParsers together and handle the case where the returned dir style isn't clearly defined. The matching parser will be cached. If the cached parser won't match due to the server changed the dir style, a new matching parser will be searched.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeFileEntryParser(FTPFileEntryParser[] ftpFileEntryParsers)` Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FTPFile` | `parseFTPEntry(String listEntry)` Parses a line of an FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.

    - ### Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl

      `preParse, readNextEntry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeFileEntryParser

          public CompositeFileEntryParser(FTPFileEntryParser[] ftpFileEntryParsers)

      Constructs a new instance.
      Parameters:
        `ftpFileEntryParsers` - An array of FTPFileEntryParser.

  - ### Method Detail

    - #### parseFTPEntry

          public FTPFile parseFTPEntry(String listEntry)

      Description copied from interface: `FTPFileEntryParser`
      Parses a line of an FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, `null` should be returned, otherwise a `FTPFile` instance representing the files in the directory is returned.
      Parameters:
        `listEntry` - A line of text from the file listing
      Returns:
        An FTPFile instance corresponding to the supplied entry